[Launch]
ProgramExecutable=TU\Tu.exe
ProgramExecutable64=TU64\Tu.exe
WorkingDirectory=%PAL:AppDir%\%TU%
SingleAppInstance=true
WaitForEXE1=TuAgent.exe
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
-=HKLM\SOFTWARE\Classes\CompressedFolder\CLSID
-=HKLM\SOFTWARE\Classes\batfile\shell\TuMonitor
-=HKLM\SOFTWARE\Classes\exefile\shell\TuMonitor
-=HKLM\SOFTWARE\Classes\Msi.Package\shell\TuMonitor
-=HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\Schedule\TaskCache\Tree\Total Uninstall Agent
-=HKLM\SOFTWARE\Classes\CLSID\{236379FC-7551-7EB4-132C-69AEB530}
-=HKLM\SOFTWARE\Classes\CLSID\{22FBE572-88CA-A11C-C054-804EFC7E}
-=HKLM\SOFTWARE\Classes\CLSID\{15C91FC0-8D84-94D8-DA7C-E7A6835A}
-=HKCU\Software\Classes\CLSID
-=HKCU\Software\Classes\CompressedFolder\CLSID
-=HKCU\Software\Microsoft\RestartManager

[RegistryCleanupForce]
1=HKLM\SOFTWARE\Microsoft\Tracing\Tu_RASAPI32
2=HKLM\SOFTWARE\Microsoft\Tracing\Tu_RASMANCS
3=HKCU\Software\Classes\VirtualStore\MACHINE\SOFTWARE\Microsoft\Tracing\Tu_RASMANCS
4=HKCU\Software\Classes\VirtualStore\MACHINE\SOFTWARE\Microsoft\Tracing\Tu_RASAPI32

[RegistryCleanupIfEmpty]
1=HKLM\HARDWARE\DESCRIPTION\System\BIOS
2=HKLM\SOFTWARE\Classes\CompressedFolder
3=HKCU\Software\Classes\CompressedFolder
4=HKCU\Software\Classes\VirtualStore\MACHINE\SOFTWARE\Microsoft\Tracing
5=HKCU\Software\Classes\VirtualStore\MACHINE\SOFTWARE\Microsoft
6=HKCU\Software\Classes\VirtualStore\MACHINE\SOFTWARE
7=HKCU\Software\Classes\VirtualStore\MACHINE
8=HKCU\Software\Classes\VirtualStore

[RegistryValueBackupDelete]
1=HKCU\Software\Microsoft\Windows\CurrentVersion\Run\Total Uninstall Agent

[FilesCleanup]
1=%WINDIR%\system\*.otq
2=%WINDIR%\system\*.eij
3=%WINDIR%\system\*.lpj
4=%WINDIR%\system\*.vuu
5=%WINDIR%\system\*.pjm
6=%WINDIR%\install*.log
7=%TEMP%\~*.tmp

[FilesMove]
settings\CleanerDefinitions.xml=%PAL:AppDir%\%TU%
TuRes.dll=%PAL:AppDir%\%TU%
mntemp=%ALLUSERSAPPDATA%

[DirectoriesMove]
TUPortable=%ALLUSERSAPPDATA%\Martau\Total Uninstall 7
Translations=%PAL:AppDir%\%TU%\Translations

